> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Video with Options API Endpoint

> This API endpoint allows a user to create a video with various options.



## OpenAPI

````yaml post /api/content-type/video/create/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/content-type/video/create/:
    post:
      tags:
        - api
      summary: Create Video with Options API Endpoint
      description: This API endpoint allows a user to create a video with various options.
      operationId: create_video_with_options
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateVideoWithOptions'
        required: true
      responses:
        '200':
          description: Successfully created the video
          content:
            application/json:
              schema:
                title: Task
                type: object
                properties:
                  task_id:
                    type: integer
                  task_name:
                    type: string
                  task_status:
                    type: integer
                  user_id:
                    type: integer
                description: Task OpenAPI Schema
              example:
                task_id: 1
                task_name: test_task
                task_status: 1
                user_id: 1
        '400':
          description: Failed to create the video or validation errors
          content: {}
        '500':
          description: Failed to create the video
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  schemas:
    CreateVideoWithOptions:
      required:
        - additional_clip_cut_timestamp
        - additional_input_video_id
        - channel_id
        - clip_duration
        - content_type_id
        - cut_timestamp
        - font_profile_id
        - input_music_audio_id
        - input_video_id
        - input_voice_audio_id
        - language
        - media_profile_id
        - playlist_id
        - target_aspect_ratio
        - template_id
        - voice_profile_id
      type: object
      properties:
        content_type_id:
          title: Content type id
          type: integer
        font_profile_id:
          title: Font profile id
          type: integer
        media_profile_id:
          title: Media profile id
          type: integer
          nullable: true
        voice_profile_id:
          title: Voice profile id
          type: integer
          nullable: true
        playlist_id:
          title: Playlist id
          type: integer
          nullable: true
        template_id:
          title: Template id
          type: integer
          nullable: true
        channel_id:
          title: Channel id
          type: integer
          nullable: true
        input_video_id:
          title: Input video id
          type: integer
        additional_input_video_id:
          title: Additional input video id
          type: integer
          nullable: true
        input_music_audio_id:
          title: Input music audio id
          type: integer
          nullable: true
        input_voice_audio_id:
          title: Input voice audio id
          type: integer
          nullable: true
        target_aspect_ratio:
          title: Target aspect ratio
          minLength: 1
          type: string
        clip_duration:
          title: Clip duration
          type: number
        cut_timestamp:
          title: Cut timestamp
          type: string
          nullable: true
        additional_clip_cut_timestamp:
          title: Additional clip cut timestamp
          type: string
          nullable: true
        language:
          title: Language
          minLength: 1
          type: string
        video_parameters:
          $ref: '#/components/schemas/VideoParameters'
    VideoParameters:
      type: object
      properties:
        reddit_comment_link:
          title: Reddit comment link
          minLength: 1
          type: string
          nullable: true
        text_to_speech_voice:
          $ref: '#/components/schemas/TextToSpeechVoice'
    TextToSpeechVoice:
      required:
        - voice_provider_id
      type: object
      properties:
        voice_id:
          title: Voice id
          minLength: 1
          type: string
        voice_provider_id:
          title: Voice provider id
          minLength: 1
          type: string
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````